## poker-eval-ea919d1d5d038b809574beeccbf385e99fd41896.tar.gz

=== Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/poker-eval
pkgincludedir = $(includedir)/poker-eval
pkglibdir = $(libdir)/poker-eval
pkglibexecdir = $(libexecdir)/poker-eval
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/poker-eval.pc.in \
	$(srcdir)/poker-eval.spec.in $(top_srcdir)/configure AUTHORS \
	COPYING ChangeLog INSTALL NEWS TODO config/compile \
	config/config.guess config/config.sub config/depcomp \
	config/install-sh config/ltmain.sh config/missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ccache.m4 \
	$(top_srcdir)/config/gcov.m4 $(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h \
	$(top_builddir)/include/poker_config.h
CONFIG_CLEAN_FILES = poker-eval.pc poker-eval.spec
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
DATA = $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run automake-1.11
AWK = /usr/bin/awk
CC = gcc
CCACHE = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -Wall -Wpointer-arith -Wstrict-prototypes
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCOV = /usr/bin/gcov
GCOV_CPPFLAGS = 
GCOV_FLAGS = 
GCOV_LDFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run makeinfo
MANIFEST_TOOL = :
MD5SUM = /usr/bin/md5sum
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = poker-eval
PACKAGE_BUGREPORT = 
PACKAGE_NAME = poker-eval
PACKAGE_STRING = poker-eval 138.0
PACKAGE_TARNAME = poker-eval
PACKAGE_URL = 
PACKAGE_VERSION = 138.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VALGRIND = 
VERSION = 138.0
abs_builddir = /home/v2k/pokersource/poker-eval
abs_srcdir = /home/v2k/pokersource/poker-eval
abs_top_builddir = /home/v2k/pokersource/poker-eval
abs_top_srcdir = /home/v2k/pokersource/poker-eval
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/v2k/pokersource/poker-eval/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = 
top_builddir = .
top_srcdir = .

#
# Copyright (C) 2004-2010 Loic Dachary <loic@dachary.org>
# Copyright (C) 2004-2006 Mekensleep
#
# Mekensleep
# 24 rue vieille du temple
# 75004 Paris
#       licensing@mekensleep.com
#
# This program gives you software freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU General Public License (GPL) as published by the Free Software
# Foundation (FSF), either version 3 of the License, or (at your option)
# any later version of the GPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program in a file in the toplevel directory called "GPLv3".
# If not, see <http://www.gnu.org/licenses/>.
#
# Authors:
#  Loic Dachary <loic@dachary.org>
#
# 
EXTRA_DIST = \
	GPLv3 \
	GPLv3-assent.txt \
	config/ccache.m4 \
	config/gcov.m4 \
	examples/Makefile.dos \
	include/Makefile.dos \
	java/Makefile.dos \
	lib/Makefile.dos \
	tests/Makefile.dos \
	mktab_astud.vcproj \
	mktab_basic.vcproj \
	mktab_evx.vcproj \
	mktab_joker.vcproj \
	mktab_lowball.vcproj \
	mktab_packed.vcproj \
	poker-eval.vcproj \
	poker-eval.sln \
	WHATS-HERE.Java \
	WHATS-HERE \
	gentoo/dev-games/poker-eval/poker-eval-133.0-r1.ebuild \
	csharp/API.cs \
	csharp/Enum.cs \
	csharp/EnumResult.cs \
	csharp/GameParams.cs \
	csharp/StdDeck.cs \
	csharp/Test.cs \
	csharp/Makefile \
	csharp/TODO \
	packaging-farm.bat \
	poker-eval.nsi \
	make_master.sh \
	fink/libpoker-eval.info

SUBDIRS = \
	lib \
	include \
	examples \
	tests

MAINTAINERCLEANFILES = INSTALL Makefile.in aclocal.m4 configure \
	$(filter-out %.m4,$(wildcard config/[a-z]*)) 

pkgconfigdir = ${libdir}/pkgconfig
pkgconfig_DATA = poker-eval.pc
ACLOCAL_AMFLAGS = -I config
all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
poker-eval.pc: $(top_builddir)/config.status $(srcdir)/poker-eval.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
poker-eval.spec: $(top_builddir)/config.status $(srcdir)/poker-eval.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt

=== examples/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/poker-eval
pkgincludedir = $(includedir)/poker-eval
pkglibdir = $(libdir)/poker-eval
pkglibexecdir = $(libexecdir)/poker-eval
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = eval$(EXEEXT) fish$(EXEEXT) five_card_hands$(EXEEXT) \
	hcmp2$(EXEEXT) hcmpn$(EXEEXT) pokenum$(EXEEXT) \
	seven_card_hands$(EXEEXT) usedecks$(EXEEXT)
subdir = examples
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ccache.m4 \
	$(top_srcdir)/config/gcov.m4 $(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h \
	$(top_builddir)/include/poker_config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_eval_OBJECTS = eval-eval.$(OBJEXT)
eval_OBJECTS = $(am_eval_OBJECTS)
eval_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
eval_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(eval_LDFLAGS) \
	$(LDFLAGS) -o $@
am_fish_OBJECTS = fish-fish.$(OBJEXT)
fish_OBJECTS = $(am_fish_OBJECTS)
fish_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
fish_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(fish_LDFLAGS) \
	$(LDFLAGS) -o $@
am_five_card_hands_OBJECTS =  \
	five_card_hands-five_card_hands.$(OBJEXT)
five_card_hands_OBJECTS = $(am_five_card_hands_OBJECTS)
five_card_hands_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
five_card_hands_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(five_card_hands_LDFLAGS) $(LDFLAGS) -o $@
am_hcmp2_OBJECTS = hcmp2-hcmp2.$(OBJEXT)
hcmp2_OBJECTS = $(am_hcmp2_OBJECTS)
hcmp2_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
hcmp2_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(hcmp2_LDFLAGS) \
	$(LDFLAGS) -o $@
am_hcmpn_OBJECTS = hcmpn-hcmpn.$(OBJEXT)
hcmpn_OBJECTS = $(am_hcmpn_OBJECTS)
hcmpn_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
hcmpn_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(hcmpn_LDFLAGS) \
	$(LDFLAGS) -o $@
am_pokenum_OBJECTS = pokenum-pokenum.$(OBJEXT)
pokenum_OBJECTS = $(am_pokenum_OBJECTS)
pokenum_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
pokenum_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(pokenum_LDFLAGS) \
	$(LDFLAGS) -o $@
am_seven_card_hands_OBJECTS =  \
	seven_card_hands-seven_card_hands.$(OBJEXT)
seven_card_hands_OBJECTS = $(am_seven_card_hands_OBJECTS)
seven_card_hands_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
seven_card_hands_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(seven_card_hands_LDFLAGS) $(LDFLAGS) -o $@
am_usedecks_OBJECTS = usedecks-usedecks.$(OBJEXT)
usedecks_OBJECTS = $(am_usedecks_OBJECTS)
usedecks_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
usedecks_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(usedecks_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(eval_SOURCES) $(fish_SOURCES) $(five_card_hands_SOURCES) \
	$(hcmp2_SOURCES) $(hcmpn_SOURCES) $(pokenum_SOURCES) \
	$(seven_card_hands_SOURCES) $(usedecks_SOURCES)
DIST_SOURCES = $(eval_SOURCES) $(fish_SOURCES) \
	$(five_card_hands_SOURCES) $(hcmp2_SOURCES) $(hcmpn_SOURCES) \
	$(pokenum_SOURCES) $(seven_card_hands_SOURCES) \
	$(usedecks_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run automake-1.11
AWK = /usr/bin/awk
CC = gcc
CCACHE = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -Wall -Wpointer-arith -Wstrict-prototypes
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCOV = /usr/bin/gcov
GCOV_CPPFLAGS = 
GCOV_FLAGS = 
GCOV_LDFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run makeinfo
MANIFEST_TOOL = :
MD5SUM = /usr/bin/md5sum
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = poker-eval
PACKAGE_BUGREPORT = 
PACKAGE_NAME = poker-eval
PACKAGE_STRING = poker-eval 138.0
PACKAGE_TARNAME = poker-eval
PACKAGE_URL = 
PACKAGE_VERSION = 138.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VALGRIND = 
VERSION = 138.0
abs_builddir = /home/v2k/pokersource/poker-eval/examples
abs_srcdir = /home/v2k/pokersource/poker-eval/examples
abs_top_builddir = /home/v2k/pokersource/poker-eval
abs_top_srcdir = /home/v2k/pokersource/poker-eval
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/v2k/pokersource/poker-eval/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#
# Copyright (C) 2004-2010 Loic Dachary <loic@dachary.org>
# Copyright (C) 2004-2006 Mekensleep
#
# Mekensleep
# 24 rue vieille du temple
# 75004 Paris
#       licensing@mekensleep.com
#
# This program gives you software freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU General Public License (GPL) as published by the Free Software
# Foundation (FSF), either version 3 of the License, or (at your option)
# any later version of the GPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program in a file in the toplevel directory called "GPLv3".
# If not, see <http://www.gnu.org/licenses/>.
#
# Authors:
#  Loic Dachary <loic@dachary.org>
#
# 
MAINTAINERCLEANFILES = Makefile.in
INCLUDES = -I$(top_srcdir)/include
EXTRA_DIST = \
	utest1 \
	getopt_w32.c \
	getopt_w32.h \
	eval.vcproj \
	fish.vcproj \
	five_card_hands.vcproj \
	hcmp2.vcproj \
	hcmpn2.vcproj \
	pokenum.vcproj \
	seven_card_hands.vcproj \
	usedecks.vcproj

eval_SOURCES = eval.c
eval_LDADD = $(top_builddir)/lib/libpoker-eval.la
eval_CPPFLAGS = ${GCOV_CPPFLAGS}
eval_LDFLAGS = ${GCOV_LDFLAGS}
fish_SOURCES = fish.c
fish_LDADD = $(top_builddir)/lib/libpoker-eval.la
fish_CPPFLAGS = ${GCOV_CPPFLAGS}
fish_LDFLAGS = ${GCOV_LDFLAGS}
five_card_hands_SOURCES = five_card_hands.c
five_card_hands_LDADD = $(top_builddir)/lib/libpoker-eval.la
five_card_hands_CPPFLAGS = ${GCOV_CPPFLAGS}
five_card_hands_LDFLAGS = ${GCOV_LDFLAGS}
hcmp2_SOURCES = hcmp2.c
hcmp2_LDADD = $(top_builddir)/lib/libpoker-eval.la
hcmp2_CPPFLAGS = ${GCOV_CPPFLAGS}
hcmp2_LDFLAGS = ${GCOV_LDFLAGS}
hcmpn_SOURCES = hcmpn.c
hcmpn_LDADD = $(top_builddir)/lib/libpoker-eval.la
hcmpn_CPPFLAGS = ${GCOV_CPPFLAGS}
hcmpn_LDFLAGS = ${GCOV_LDFLAGS}
pokenum_SOURCES = pokenum.c
pokenum_LDADD = $(top_builddir)/lib/libpoker-eval.la
pokenum_CPPFLAGS = ${GCOV_CPPFLAGS}
pokenum_LDFLAGS = ${GCOV_LDFLAGS}
seven_card_hands_SOURCES = seven_card_hands.c
seven_card_hands_LDADD = $(top_builddir)/lib/libpoker-eval.la
seven_card_hands_CPPFLAGS = ${GCOV_CPPFLAGS}
seven_card_hands_LDFLAGS = ${GCOV_LDFLAGS}
usedecks_SOURCES = usedecks.c
usedecks_LDADD = $(top_builddir)/lib/libpoker-eval.la
usedecks_CPPFLAGS = ${GCOV_CPPFLAGS}
usedecks_LDFLAGS = ${GCOV_LDFLAGS}
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu examples/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \

=== include/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# include/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/poker-eval
pkgincludedir = $(includedir)/poker-eval
pkglibdir = $(libdir)/poker-eval
pkglibexecdir = $(libexecdir)/poker-eval
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = include
DIST_COMMON = $(nobase_pkginclude_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/poker_config.h.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ccache.m4 \
	$(top_srcdir)/config/gcov.m4 $(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h poker_config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(pkgincludedir)"
HEADERS = $(nobase_pkginclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run automake-1.11
AWK = /usr/bin/awk
CC = gcc
CCACHE = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -Wall -Wpointer-arith -Wstrict-prototypes
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCOV = /usr/bin/gcov
GCOV_CPPFLAGS = 
GCOV_FLAGS = 
GCOV_LDFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run makeinfo
MANIFEST_TOOL = :
MD5SUM = /usr/bin/md5sum
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = poker-eval
PACKAGE_BUGREPORT = 
PACKAGE_NAME = poker-eval
PACKAGE_STRING = poker-eval 138.0
PACKAGE_TARNAME = poker-eval
PACKAGE_URL = 
PACKAGE_VERSION = 138.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VALGRIND = 
VERSION = 138.0
abs_builddir = /home/v2k/pokersource/poker-eval/include
abs_srcdir = /home/v2k/pokersource/poker-eval/include
abs_top_builddir = /home/v2k/pokersource/poker-eval
abs_top_srcdir = /home/v2k/pokersource/poker-eval
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/v2k/pokersource/poker-eval/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#
# Copyright (C) 2004-2006 Mekensleep
#
# Mekensleep <licensing@mekensleep.com>
# 24 rue vieille du temple, 75004 Paris
#
# This program gives you software freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU General Public License (GPL) as published by the Free Software
# Foundation (FSF), either version 3 of the License, or (at your option)
# any later version of the GPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program in a file in the toplevel directory called "GPLv3".
# If not, see <http://www.gnu.org/licenses/>.
#
# Authors:
#  Loic Dachary <loic@dachary.org>
#
# 
MAINTAINERCLEANFILES = Makefile.in config.h poker_config.h
EXTRA_DIST = poker_config.h.in config.h.in
nobase_pkginclude_HEADERS = \
	combinations.h \
	deck.h \
	deck_astud.h \
	deck_joker.h \
	deck_std.h \
	deck_undef.h \
	enumdefs.h \
	enumerate.h \
	enumord.h \
	evx_defs.h \
	game_astud.h \
	game_joker.h \
	game_std.h \
	handval.h \
	handval_low.h \
	inlines/eval.h \
	inlines/eval_astud.h \
	inlines/eval_joker.h \
	inlines/eval_joker_low.h \
	inlines/eval_joker_low8.h \
	inlines/eval_low.h \
	inlines/eval_low8.h \
	inlines/eval_low27.h \
	inlines/eval_omaha.h \
	inlines/eval_type.h \
	inlines/evx5.h \
	inlines/evx7.h \
	inlines/evx_action.h \
	inlines/evx_inlines.h \
	poker_config.h \
	poker_defs.h \
	pokereval_export.h \
	rules_astud.h \
	rules_joker.h \
	rules_std.h \
	rules_undef.h \
	poker_wrapper.h

all: config.h poker_config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu include/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu include/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status include/config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

poker_config.h: stamp-h2
	@if test ! -f $@; then \
	  rm -f stamp-h2; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h2; \
	else :; fi

stamp-h2: $(srcdir)/poker_config.h.in $(top_builddir)/config.status
	@rm -f stamp-h2
	cd $(top_builddir) && $(SHELL) ./config.status include/poker_config.h

distclean-hdr:
	-rm -f config.h stamp-h1 poker_config.h stamp-h2

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-nobase_pkgincludeHEADERS: $(nobase_pkginclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(pkgincludedir)" || $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)"
	@list='$(nobase_pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo "$(MKDIR_P) '$(DESTDIR)$(pkgincludedir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)/$$dir"; }; \
	    echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(pkgincludedir)/$$dir'"; \
	    $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(pkgincludedir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_pkgincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(pkgincludedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(pkgincludedir)" && rm -f $$files

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES) config.h.in poker_config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in poker_config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \

=== lib/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






pkgdatadir = $(datadir)/poker-eval
pkgincludedir = $(includedir)/poker-eval
pkglibdir = $(libdir)/poker-eval
pkglibexecdir = $(libexecdir)/poker-eval
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = mktab_basic$(EXEEXT) mktab_joker$(EXEEXT) \
	mktab_packed$(EXEEXT) mktab_evx$(EXEEXT) mktab_astud$(EXEEXT) \
	mktab_lowball$(EXEEXT) evx_gen5$(EXEEXT) evx_gen7$(EXEEXT)
subdir = lib
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ccache.m4 \
	$(top_srcdir)/config/gcov.m4 $(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h \
	$(top_builddir)/include/poker_config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libpoker_eval_la_LIBADD =
am__objects_1 = libpoker_eval_la-combinations.lo \
	libpoker_eval_la-deck.lo libpoker_eval_la-deck_astud.lo \
	libpoker_eval_la-deck_joker.lo libpoker_eval_la-deck_std.lo \
	libpoker_eval_la-enumerate.lo libpoker_eval_la-enumord.lo \
	libpoker_eval_la-evx.lo libpoker_eval_la-lowball.lo \
	libpoker_eval_la-rules_astud.lo \
	libpoker_eval_la-rules_joker.lo libpoker_eval_la-rules_std.lo \
	libpoker_eval_la-poker_wrapper.lo
am__objects_2 = libpoker_eval_la-t_nbits.lo \
	libpoker_eval_la-t_topbit.lo libpoker_eval_la-t_topcard.lo \
	libpoker_eval_la-t_topfivecards.lo \
	libpoker_eval_la-t_topfivebits.lo \
	libpoker_eval_la-t_toptwobits.lo \
	libpoker_eval_la-t_cardmasks.lo libpoker_eval_la-t_maskrank.lo \
	libpoker_eval_la-t_straight.lo
am__objects_3 = libpoker_eval_la-t_jokercardmasks.lo \
	libpoker_eval_la-t_jokerstraight.lo
am__objects_4 = libpoker_eval_la-t_nbitsandstr.lo
am__objects_5 = libpoker_eval_la-t_evx_pairval.lo \
	libpoker_eval_la-t_evx_strval.lo \
	libpoker_eval_la-t_evx_tripsval.lo \
	libpoker_eval_la-t_evx_flushcards.lo
am__objects_6 = libpoker_eval_la-t_astudcardmasks.lo
am__objects_7 = libpoker_eval_la-t_botfivecards.lo \
	libpoker_eval_la-t_botcard.lo \
	libpoker_eval_la-t_botfivecardsj.lo
am__objects_8 = $(am__objects_2) $(am__objects_3) $(am__objects_4) \
	$(am__objects_5) $(am__objects_6) $(am__objects_7)
nodist_libpoker_eval_la_OBJECTS = $(am__objects_1) $(am__objects_8)
libpoker_eval_la_OBJECTS = $(nodist_libpoker_eval_la_OBJECTS)
libpoker_eval_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libpoker_eval_la_LDFLAGS) $(LDFLAGS) -o $@
PROGRAMS = $(noinst_PROGRAMS)
am_evx_gen5_OBJECTS = evx_gen5-evx_generate.$(OBJEXT)
evx_gen5_OBJECTS = $(am_evx_gen5_OBJECTS)
evx_gen5_LDADD = $(LDADD)
am_evx_gen7_OBJECTS = evx_gen7-evx_generate.$(OBJEXT)
evx_gen7_OBJECTS = $(am_evx_gen7_OBJECTS)
evx_gen7_LDADD = $(LDADD)
am__objects_9 = mktable.$(OBJEXT) mktable_utils.$(OBJEXT)
am_mktab_astud_OBJECTS = mktab_astud.$(OBJEXT) $(am__objects_9)
mktab_astud_OBJECTS = $(am_mktab_astud_OBJECTS)
mktab_astud_LDADD = $(LDADD)
am_mktab_basic_OBJECTS = mktab_basic.$(OBJEXT) $(am__objects_9)
mktab_basic_OBJECTS = $(am_mktab_basic_OBJECTS)
mktab_basic_LDADD = $(LDADD)
am_mktab_evx_OBJECTS = mktab_evx.$(OBJEXT) $(am__objects_9)
mktab_evx_OBJECTS = $(am_mktab_evx_OBJECTS)
mktab_evx_LDADD = $(LDADD)
am_mktab_joker_OBJECTS = mktab_joker.$(OBJEXT) $(am__objects_9)
mktab_joker_OBJECTS = $(am_mktab_joker_OBJECTS)
mktab_joker_LDADD = $(LDADD)
am_mktab_lowball_OBJECTS = mktab_lowball.$(OBJEXT) $(am__objects_9)
mktab_lowball_OBJECTS = $(am_mktab_lowball_OBJECTS)
mktab_lowball_LDADD = $(LDADD)
am_mktab_packed_OBJECTS = mktab_packed.$(OBJEXT) $(am__objects_9)
mktab_packed_OBJECTS = $(am_mktab_packed_OBJECTS)
mktab_packed_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(nodist_libpoker_eval_la_SOURCES) $(evx_gen5_SOURCES) \
	$(evx_gen7_SOURCES) $(mktab_astud_SOURCES) \
	$(mktab_basic_SOURCES) $(mktab_evx_SOURCES) \
	$(mktab_joker_SOURCES) $(mktab_lowball_SOURCES) \
	$(mktab_packed_SOURCES)
DIST_SOURCES = $(evx_gen5_SOURCES) $(evx_gen7_SOURCES) \
	$(mktab_astud_SOURCES) $(mktab_basic_SOURCES) \
	$(mktab_evx_SOURCES) $(mktab_joker_SOURCES) \
	$(mktab_lowball_SOURCES) $(mktab_packed_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run automake-1.11
AWK = /usr/bin/awk
CC = gcc
CCACHE = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -Wall -Wpointer-arith -Wstrict-prototypes
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCOV = /usr/bin/gcov
GCOV_CPPFLAGS = 
GCOV_FLAGS = 
GCOV_LDFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run makeinfo
MANIFEST_TOOL = :
MD5SUM = /usr/bin/md5sum
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = poker-eval
PACKAGE_BUGREPORT = 
PACKAGE_NAME = poker-eval
PACKAGE_STRING = poker-eval 138.0
PACKAGE_TARNAME = poker-eval
PACKAGE_URL = 
PACKAGE_VERSION = 138.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VALGRIND = 
VERSION = 138.0
abs_builddir = /home/v2k/pokersource/poker-eval/lib
abs_srcdir = /home/v2k/pokersource/poker-eval/lib
abs_top_builddir = /home/v2k/pokersource/poker-eval
abs_top_srcdir = /home/v2k/pokersource/poker-eval
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/v2k/pokersource/poker-eval/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#
# Copyright (C) 2004-2006 Mekensleep
#
# Mekensleep <licensing@mekensleep.com>
# 24 rue vieille du temple, 75004 Paris
#       
#
# This program gives you software freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU General Public License (GPL) as published by the Free Software
# Foundation (FSF), either version 3 of the License, or (at your option)
# any later version of the GPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program in a file in the toplevel directory called "GPLv3".
# If not, see <http://www.gnu.org/licenses/>.
#
# Authors:
#  Loic Dachary <loic@dachary.org>
#
# 
MAINTAINERCLEANFILES = \
	Makefile.in \
	$(TABLES)

INCLUDES = -I$(top_srcdir)/include
lib_LTLIBRARIES = libpoker-eval.la
EXTRA_DIST = \
	evx_preamble.cfrag \
	${POKER_EVAL_SOURCES}

BASIC_TABLES = \
        t_nbits.c t_topbit.c t_topcard.c t_topfivecards.c t_topfivebits.c \
        t_toptwobits.c t_cardmasks.c t_maskrank.c t_straight.c 

JOKER_TABLES = t_jokercardmasks.c t_jokerstraight.c
PACKED_TABLES = \
        t_nbitsandstr.c

EVX_TABLES = \
        t_evx_pairval.c t_evx_strval.c t_evx_tripsval.c t_evx_flushcards.c

ASTUD_TABLES = t_astudcardmasks.c
LOWBALL_TABLES = t_botfivecards.c t_botcard.c t_botfivecardsj.c
TABLES = \
	$(BASIC_TABLES) \
	$(JOKER_TABLES) \
	$(PACKED_TABLES) \
	$(EVX_TABLES) \
	$(ASTUD_TABLES) \

=== tests/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/poker-eval
pkgincludedir = $(includedir)/poker-eval
pkglibdir = $(libdir)/poker-eval
pkglibexecdir = $(libexecdir)/poker-eval
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
TESTS = ./bug1823 $(check_PROGRAMS) gcov-report
check_PROGRAMS = joktest1$(EXEEXT) enumtest1$(EXEEXT) \
	enumtest2$(EXEEXT) enumtest3$(EXEEXT) enumtest5$(EXEEXT) \
	enumtest7$(EXEEXT) poker_wrapper$(EXEEXT)
subdir = tests
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/run.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ccache.m4 \
	$(top_srcdir)/config/gcov.m4 $(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h \
	$(top_builddir)/include/poker_config.h
CONFIG_CLEAN_FILES = run
CONFIG_CLEAN_VPATH_FILES =
am_enumtest1_OBJECTS = enumtest1-enumtest1.$(OBJEXT)
enumtest1_OBJECTS = $(am_enumtest1_OBJECTS)
enumtest1_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
enumtest1_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(enumtest1_LDFLAGS) $(LDFLAGS) -o $@
am_enumtest2_OBJECTS = enumtest2-enumtest2.$(OBJEXT)
enumtest2_OBJECTS = $(am_enumtest2_OBJECTS)
enumtest2_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
enumtest2_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(enumtest2_LDFLAGS) $(LDFLAGS) -o $@
am_enumtest3_OBJECTS = enumtest3-enumtest3.$(OBJEXT)
enumtest3_OBJECTS = $(am_enumtest3_OBJECTS)
enumtest3_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
enumtest3_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(enumtest3_LDFLAGS) $(LDFLAGS) -o $@
am_enumtest5_OBJECTS = enumtest5-enumtest5.$(OBJEXT)
enumtest5_OBJECTS = $(am_enumtest5_OBJECTS)
enumtest5_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
enumtest5_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(enumtest5_LDFLAGS) $(LDFLAGS) -o $@
am_enumtest7_OBJECTS = enumtest7-enumtest7.$(OBJEXT)
enumtest7_OBJECTS = $(am_enumtest7_OBJECTS)
enumtest7_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
enumtest7_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(enumtest7_LDFLAGS) $(LDFLAGS) -o $@
am_joktest1_OBJECTS = joktest1-joktest1.$(OBJEXT)
joktest1_OBJECTS = $(am_joktest1_OBJECTS)
joktest1_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
joktest1_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(joktest1_LDFLAGS) \
	$(LDFLAGS) -o $@
am_poker_wrapper_OBJECTS = poker_wrapper-poker_wrapper.$(OBJEXT)
poker_wrapper_OBJECTS = $(am_poker_wrapper_OBJECTS)
poker_wrapper_DEPENDENCIES = $(top_builddir)/lib/libpoker-eval.la
poker_wrapper_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(poker_wrapper_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(enumtest1_SOURCES) $(enumtest2_SOURCES) \
	$(enumtest3_SOURCES) $(enumtest5_SOURCES) $(enumtest7_SOURCES) \
	$(joktest1_SOURCES) $(poker_wrapper_SOURCES)
DIST_SOURCES = $(enumtest1_SOURCES) $(enumtest2_SOURCES) \
	$(enumtest3_SOURCES) $(enumtest5_SOURCES) $(enumtest7_SOURCES) \
	$(joktest1_SOURCES) $(poker_wrapper_SOURCES)
ETAGS = etags
CTAGS = ctags
am__tty_colors = \
red=; grn=; lgn=; blu=; std=
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run automake-1.11
AWK = /usr/bin/awk
CC = gcc
CCACHE = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =  -Wall -Wpointer-arith -Wstrict-prototypes
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCOV = /usr/bin/gcov
GCOV_CPPFLAGS = 
GCOV_FLAGS = 
GCOV_LDFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/v2k/pokersource/poker-eval/config/missing --run makeinfo
MANIFEST_TOOL = :
MD5SUM = /usr/bin/md5sum
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = poker-eval
PACKAGE_BUGREPORT = 
PACKAGE_NAME = poker-eval
PACKAGE_STRING = poker-eval 138.0
PACKAGE_TARNAME = poker-eval
PACKAGE_URL = 
PACKAGE_VERSION = 138.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VALGRIND = 
VERSION = 138.0
abs_builddir = /home/v2k/pokersource/poker-eval/tests
abs_srcdir = /home/v2k/pokersource/poker-eval/tests
abs_top_builddir = /home/v2k/pokersource/poker-eval
abs_top_srcdir = /home/v2k/pokersource/poker-eval
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/v2k/pokersource/poker-eval/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..

#
# Copyright (C) 2004-2006 Mekensleep
#
# Mekensleep <licensing@mekensleep.com>
# 24 rue vieille du temple, 75004 Paris
#       
# This program gives you software freedom; you can copy, convey,
# propagate, redistribute and/or modify this program under the terms of
# the GNU General Public License (GPL) as published by the Free Software
# Foundation (FSF), either version 3 of the License, or (at your option)
# any later version of the GPL published by the FSF.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program in a file in the toplevel directory called "GPLv3".
# If not, see <http://www.gnu.org/licenses/>.
#
#
# Authors:
#  Loic Dachary <loic@dachary.org>
#
# 
MAINTAINERCLEANFILES = Makefile.in
INCLUDES = -I$(top_srcdir)/include
EXTRA_DIST = \
	run.in \
	razz.c \
	bug1823

TESTS_ENVIRONMENT = ./run
joktest1_SOURCES = joktest1.c
joktest1_LDADD = $(top_builddir)/lib/libpoker-eval.la
joktest1_CPPFLAGS = ${GCOV_CPPFLAGS}
joktest1_LDFLAGS = ${GCOV_LDFLAGS}
enumtest1_SOURCES = enumtest1.c
enumtest1_LDADD = $(top_builddir)/lib/libpoker-eval.la
enumtest1_CPPFLAGS = ${GCOV_CPPFLAGS}
enumtest1_LDFLAGS = ${GCOV_LDFLAGS}
enumtest2_SOURCES = enumtest2.c
enumtest2_LDADD = $(top_builddir)/lib/libpoker-eval.la
enumtest2_CPPFLAGS = ${GCOV_CPPFLAGS}
enumtest2_LDFLAGS = ${GCOV_LDFLAGS}
enumtest3_SOURCES = enumtest3.c
enumtest3_LDADD = $(top_builddir)/lib/libpoker-eval.la
enumtest3_CPPFLAGS = ${GCOV_CPPFLAGS}
enumtest3_LDFLAGS = ${GCOV_LDFLAGS}
enumtest5_SOURCES = enumtest5.c
enumtest5_LDADD = $(top_builddir)/lib/libpoker-eval.la
enumtest5_CPPFLAGS = ${GCOV_CPPFLAGS}
enumtest5_LDFLAGS = ${GCOV_LDFLAGS}
enumtest7_SOURCES = enumtest7.c
enumtest7_LDADD = $(top_builddir)/lib/libpoker-eval.la
enumtest7_CPPFLAGS = ${GCOV_CPPFLAGS}
enumtest7_LDFLAGS = ${GCOV_LDFLAGS}
poker_wrapper_SOURCES = poker_wrapper.c
poker_wrapper_LDADD = $(top_builddir)/lib/libpoker-eval.la
poker_wrapper_CPPFLAGS = ${GCOV_CPPFLAGS}
poker_wrapper_LDFLAGS = ${GCOV_LDFLAGS}
razz_SOURCES = razz.c
razz_LDADD = $(top_builddir)/lib/libpoker-eval.la
razz_CPPFLAGS = ${GCOV_CPPFLAGS}
razz_LDFLAGS = ${GCOV_LDFLAGS}
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu tests/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)

=== debian/changelog ===
poker-eval (138.0-1) unstable; urgency=low

  * remove pokenum from debian/libpoker-eval-dev.docs (closes: #517613)

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 02 Sep 2010 10:56:28 +0200

poker-eval (137.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 10 Feb 2010 00:42:19 +0100

poker-eval (136.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 27 Dec 2008 11:53:06 +0100

poker-eval (135.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 16 May 2007 14:00:46 +0200

poker-eval (134.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 14 Oct 2006 16:44:03 +0200

poker-eval (133.0-1) unstable; urgency=low

  * $(EXEEXT) added to executable files for cross-platform compatibility

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 21 Aug 2006 23:42:01 +0200

poker-eval (132.0-1) unstable; urgency=low

  * s/AC_CONFIG_HEADER/AM_CONFIG_HEADER/ (closes: #373990)

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 16 Jun 2006 21:00:17 +0200

poker-eval (131.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 16 Apr 2006 03:22:10 +0200

poker-eval (130.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 13 Mar 2006 10:38:01 +0100

poker-eval (129.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 16 Jan 2006 16:53:05 +0100

poker-eval (128.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 22 Sep 2005 19:04:28 +0200

poker-eval (127.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon,  4 Jul 2005 18:46:55 +0200

poker-eval (126.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 10 Dec 2004 14:15:42 +0100

poker-eval (125.0-1) unstable; urgency=low

  * upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 15 Nov 2004 20:22:42 +0100

poker-eval (124.0-2) unstable; urgency=low

  * invalid -march=... option removed

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun,  7 Nov 2004 20:47:58 +0100

poker-eval (124.0-1) unstable; urgency=low

  * Upstream sync

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun,  7 Nov 2004 16:00:54 +0100

poker-eval (123.0-1) unstable; urgency=low

  * Add examples in documentation.

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun, 31 Oct 2004 16:58:34 +0100

poker-eval (122.0-4) unstable; urgency=low

  * Add -fPIC and notify upstream (closes: #278130)

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 25 Oct 2004 09:54:20 +0200

poker-eval (122.0-3) unstable; urgency=low

  * Fullfill ITP (Closes: #277084)

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 20 Oct 2004 00:03:11 +0200

poker-eval (122.0-2) unstable; urgency=low

  * Source cleanup 

 -- Loic Dachary (OuoU) <loic@debian.org>  Tue, 19 Oct 2004 20:40:28 +0200

poker-eval (122.0-1) unstable; urgency=low

  * Differentiate from sf base

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 18 Oct 2004 14:52:01 +0200

poker-eval (121.0-7) unstable; urgency=low

  * lib dependencies

 -- Loic Dachary (OuoU) <loic@debian.org>  Sun,  4 Jul 2004 17:22:43 +0200

poker-eval (121.0-6) unstable; urgency=low

  * portability fixes

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 14 Apr 2004 19:23:51 +0200

poker-eval (121.0-5) unstable; urgency=low

  * added automake1.8 and autoconf to build depends

 -- Henry Precheur <henry@precheur.org>  Tue, 23 Mar 2004 16:41:50 +0100

poker-eval (121.0-4) unstable; urgency=low

  * portability fix

 -- Loic Dachary (OuoU) <loic@debian.org>  Mon, 22 Mar 2004 11:12:21 +0100

poker-eval (121.0-3) unstable; urgency=low

  * windows port

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 12 Mar 2004 09:34:12 +0100

poker-eval (121.0-2) unstable; urgency=low

  * config.h conflict

 -- Loic Dachary (OuoU) <loic@debian.org>  Wed, 25 Feb 2004 23:06:54 +0100

poker-eval (121.0-1) unstable; urgency=low

  * Initial Release.

 -- Loic Dachary (OuoU) <loic@debian.org>  Fri, 20 Feb 2004 15:03:24 +0100

=== debian/control ===
Source: poker-eval
Priority: optional
Section: devel
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Build-Depends: debhelper (>= 4.0.0), libtool, cdbs, automake, autoconf
Standards-Version: 3.7.2

Package: libpoker-eval-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpoker-eval (= ${binary:Version}), pkg-config
Description: poker hand evaluator library development files
 This package is a free (GNU GPL) toolkit for writing programs which
 simulate or analyze poker games.


Package: libpoker-eval
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: poker hand evaluator library
 This package is a free (GNU GPL) toolkit for writing programs which
 simulate or analyze poker games.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk

clean:: debian/stamp-autotools-configure
	rm -f $(DEB_SRCDIR)/*cdbs-*

include /usr/share/cdbs/1/class/autotools.mk

ifneq (ccache,$(findstring ccache,$(DEB_BUILD_OPTIONS)))
        DEB_CONFIGURE_EXTRA_FLAGS += --without-ccache
endif

DEB_MAKE_CLEAN_TARGET = maintainer-clean

is_debug_package=$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),yes,)

$(DEB_SRCDIR)/configure:: 
	autoreconf --install
	chmod a+x $@

# override in order to add dependency to configure (should be a :: rule instead of a : rule)
debian/stamp-autotools-configure: $(DEB_SRCDIR)/configure
	chmod a+x $(DEB_CONFIGURE_SCRIPT)
	$(DEB_CONFIGURE_INVOKE) $(cdbs_configure_flags) $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_USER_FLAGS)
	if [ -f /usr/bin/libtool ] ; then cp /usr/bin/libtool libtool ; fi
